Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515132 - SELinux is preventing mandb from 'open' accesses on the soubor /etc/passwd.
Summary: SELinux is preventing mandb from 'open' accesses on the soubor /etc/passwd.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8083dcaf551421cb7defd1797ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 08:27 UTC by Kamil Páral
Modified: 2018-11-30 22:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:38:35 UTC


Attachments (Terms of Use)

Description Kamil Páral 2017-11-20 08:27:09 UTC
Description of problem:
Happened during "dnf update".
SELinux is preventing mandb from 'open' accesses on the soubor /etc/passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that mandb should be allowed open access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'mandb' --raw | audit2allow -M my-mandb
# semodule -X 300 -i my-mandb.pp

Additional Information:
Source Context                system_u:system_r:mandb_t:s0
Target Context                system_u:object_r:passwd_file_t:s0
Target Objects                /etc/passwd [ file ]
Source                        mandb
Source Path                   mandb
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           setup-2.10.10-1.fc27.noarch
Policy RPM                    selinux-policy-3.13.1-283.16.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.13.12-300.fc27.x86_64 #1 SMP Wed
                              Nov 8 16:38:01 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-11-20 09:25:35 CET
Last Seen                     2017-11-20 09:25:35 CET
Local ID                      d3ca96fe-f9ba-4cb4-a604-c66f0fc20515

Raw Audit Messages
type=AVC msg=audit(1511166335.140:238): avc:  denied  { open } for  pid=14702 comm="mandb" path="/etc/passwd" dev="dm-1" ino=12325552 scontext=system_u:system_r:mandb_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file permissive=1


Hash: mandb,mandb_t,passwd_file_t,file,open

Version-Release number of selected component:
selinux-policy-3.13.1-283.16.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.13.12-300.fc27.x86_64
type:           libreport

Comment 1 Ben Cotton 2018-11-27 14:34:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 22:38:35 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.